#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# gibii.py
#
# Configuration de base de données mysql de gibii
#
###########################################################################
"""
    Config pour gibii
"""
from eolesql.db_test import db_exists, test_var

GIBII_TABLEFILENAMES = ["/usr/share/eole/mysql/gibii/gen/0_scribe-gibii.sql",
                        '/usr/share/eole/mysql/gibii/gen/1_scribe-gibii.sql']
def test():
    """
        test l'existence de la table gibii
    """

    return test_var('activer_gibii') and not db_exists('gibii53')

conf_dict = dict(filenames=GIBII_TABLEFILENAMES,
                 test=test)
